namespace Wizard;

public class GatheringUpdateDescriptionTask : BaseTask
{
	public class GatheringUpdateDescriptionTaskParam : BaseParam
	{
		public string description;
	}

	public GatheringUpdateDescriptionTask()
	{
		base.type = ApiType.Type.GatheringUpdateDescription;
	}

	public void SetParameter(string description)
	{
		GatheringUpdateDescriptionTaskParam gatheringUpdateDescriptionTaskParam = new GatheringUpdateDescriptionTaskParam();
		gatheringUpdateDescriptionTaskParam.description = description;
		base.Params = gatheringUpdateDescriptionTaskParam;
	}
}
